Name: libXfont
Version: 1.2.7
Release: alt2.M40.2

Summary: X font Library
License: MIT/X11
Group: System/Libraries

Url: http://xorg.freedesktop.org

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %name-%version.tar.bz2

Patch0: libXfont-1.2.7-alt-ft_isdigit.patch

Patch1000: libXfont-1.2.7-CVE-2007-1351-1352.patch
Patch1001: libXfont-1.3.1-CVE-2008-0006.patch

BuildRequires: gcc-c++ libstdc++-devel libfreetype-devel libfontenc-devel pkg-config
BuildRequires: xorg-x11-proto-devel xorg-x11-util-macros xorg-x11-xtrans-devel zlib-devel

%description
X font Library

%package devel
Summary: X font Library and Header Files
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: %name = %version-%release libfreetype-devel libfontenc-devel xorg-x11-xtrans-devel zlib-devel
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable static
%def_disable speedo
%def_disable ipv6

%prep
%setup -q

%patch0 -p1

%patch1000 -p1
%patch1001 -p1

%build
%__autoreconf
%configure \
	%{subst_enable speedo} \
	--enable-bdfformat \
	--enable-pcfformat \
	--enable-freetype \
	--enable-type1 \
	--enable-snfformat \
	--enable-cid \
	--enable-fontcache \
	%{subst_enable ipv6} \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_includedir/X11/fonts
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Thu Aug 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.7-alt2.M40.2
- fixed build

* Thu Jan 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.7-alt2.M40.1
- fixed CVE-2008-0006

* Wed Apr 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.2.7-alt2
- fixed CVE-2007-1351, CVE-2007-1352

* Tue Jan 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.2.7-alt1
- 1.2.7

* Thu Jan 18 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.2.6-alt2
- libXfont-1.2.6-git-scalable-renderer.patch adds "return BadFont;" stubs to prevent the crash.

* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.6-alt1
- 1.2.6
- drop libXfont-1.1.0-alt-includes.patch

* Fri Dec 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.5-alt1
- 1.2.5

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Tue Sep 12 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.2-alt1
- 1.2.2:
	Fixes for integer overflows in CID encoded fonts parsing
	reported by iDefense CVE-ID 2006-3739, 2006-3740

* Sat Aug 12 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt3
- CVE-2006-3467

* Thu Jul 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt2
- added libXfont-1.2.0-git-buffer_overflow.patch

* Sat Jul 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Wed Jun 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.1.0-alt3
- fix warning about FreeTypeRasteriseGlyph() return error on glyph
  that has zero height

* Wed May 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.1.0-alt2.1
- updated noftinternals patch

* Wed May 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.1.0-alt2
- added noftinternals patch

* Sun Apr 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt4
- added requires to %name-devel from buildrequires

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt3
- fixed requires for %name-devel

* Fri Jan 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt2
- install fcqueue.h, fontcache.h for build FontCache extensions

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.3-alt1
- Xorg-7.0RC3

* Mon Nov 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.2-alt0.1
- initial build

